MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023686Community[OCCT] OCCT:Modeling Algorithmspublic2013-01-04 14:462013-04-29 15:21
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023686: The call to 'Precision::Angular()' is pointless in the Release build
DescriptionIn lines 1144 and 1758.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0022898)
Pawel (developer)
2013-01-04 15:05

Branch CR23686 pushed. Please review.
(0022905)
abv (manager)
2013-01-04 18:26

No remarks, please test
(0022948)
mkv (tester)
2013-01-11 17:55

Dear BugMaster,

Branch CR23686 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master f8814ccf
Timestamp: 2013-01-04 11:04:50
Author: Pawel
Details ] Diff ]
0023686: The call to 'Precision::Angular()' is pointless in the Release build

Calling 'Precision::Angular()' inky if 'DEB' is defined.
mod - src/TopOpeBRepDS/TopOpeBRepDS_EXPORT.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-04 14:46 Pawel New Issue
2013-01-04 14:46 Pawel Assigned To => Pawel
2013-01-04 15:05 Pawel Note Added: 0022898
2013-01-04 15:05 Pawel Assigned To Pawel => bugmaster
2013-01-04 15:05 Pawel Status new => resolved
2013-01-04 18:26 abv Note Added: 0022905
2013-01-04 18:26 abv Status resolved => reviewed
2013-01-11 17:55 mkv Note Added: 0022948
2013-01-11 17:56 mkv Test case number => Not needed
2013-01-11 17:56 mkv Status reviewed => tested
2013-01-21 18:29 Pawel Changeset attached => occt master f8814ccf
2013-01-21 18:29 Pawel Assigned To bugmaster => Pawel
2013-01-21 18:29 Pawel Status tested => verified
2013-01-21 18:29 Pawel Resolution open => fixed
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker